/*
 Navicat Premium Data Transfer

 Source Server         : yvu7o29.nat.ipyingshe.com
 Source Server Type    : MySQL
 Source Server Version : 50728
 Source Host           : yvu7o29.nat.ipyingshe.com:28900
 Source Schema         : seat_tools

 Target Server Type    : MySQL
 Target Server Version : 50728
 File Encoding         : 65001

 Date: 29/02/2024 11:38:36
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for ship_test_hover
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_hover`;
CREATE TABLE `ship_test_hover`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `source_id` int(11) NULL DEFAULT NULL COMMENT '数据源ID',
  `value` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '取值',
  `options` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '字典项',
  `history_value` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '历史轨迹取值',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `source_id`(`source_id`) USING BTREE,
  CONSTRAINT `ship_test_hover_ibfk_1` FOREIGN KEY (`source_id`) REFERENCES `ship_test_source` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 70 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源-轨迹详情框配置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ship_test_hover
-- ----------------------------
INSERT INTO `ship_test_hover` VALUES (45, NULL, 'gisId', 0, 0, '2024-02-07 15:30:27', '2024-02-07 15:30:27', 31, 'DATA.gisId', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (46, NULL, 'gisId', 0, 0, '2024-02-07 15:30:27', '2024-02-07 15:30:27', 32, 'DATA.gisId', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (47, NULL, 'gisId', 0, 0, '2024-02-07 15:30:27', '2024-02-07 15:30:27', 33, 'DATA.gisId', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (48, NULL, '经度', 0, 0, '2024-02-19 15:14:39', '2024-02-19 15:14:39', 32, 'DATA.longitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (49, NULL, '纬度', 0, 0, '2024-02-19 15:16:28', '2024-02-19 15:16:28', 32, 'DATA.latitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (50, NULL, '接收时间', 0, 0, '2024-02-19 15:16:55', '2024-02-27 17:33:13', 32, '`${new Date(DATA.receiveTime * 1000).getFullYear()}-${new Date(DATA.receiveTime * 1000).getMonth() + 1 < 10 ? `0${new Date(DATA.receiveTime * 1000).getMonth() + 1}` : new Date(DATA.receiveTime * 1000).getMonth() + 1}-${new Date(DATA.receiveTime * 1000).getDate() < 10 ? `0${new Date(DATA.receiveTime * 1000).getDate()}` : new Date(DATA.receiveTime * 1000).getDate()} ${new Date(DATA.receiveTime * 1000).getHours() < 10 ? `0${new Date(DATA.receiveTime * 1000).getHours()}` : new Date(DATA.receiveTime * 1000).getHours()}:${new Date(DATA.receiveTime * 1000).getMinutes() < 10 ? `0${new Date(DATA.receiveTime * 1000).getMinutes()}` : new Date(DATA.receiveTime * 1000).getMinutes()}:${new Date(DATA.receiveTime * 1000).getSeconds() < 10 ? `0${new Date(DATA.receiveTime * 1000).getSeconds()}` : new Date(DATA.receiveTime * 1000).getSeconds()}`', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (51, NULL, '转换时间', 0, 0, '2024-02-19 15:17:22', '2024-02-19 15:17:22', 32, 'DATA.receiveTimes', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (52, NULL, '定位时间', 0, 0, '2024-02-19 15:17:48', '2024-02-19 15:17:48', 32, 'DATA.posTimes', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (53, NULL, '航速', 0, 0, '2024-02-19 15:18:07', '2024-02-19 15:18:07', 32, 'DATA.sogs', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (54, NULL, '航向', 0, 0, '2024-02-19 15:18:28', '2024-02-19 15:18:28', 32, 'DATA.cogs', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (55, NULL, '船艏向', 0, 0, '2024-02-19 15:19:15', '2024-02-19 15:19:15', 32, 'DATA.trueHeading', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (56, NULL, '经度', 0, 0, '2024-02-26 16:19:24', '2024-02-26 16:19:24', 33, 'DATA.longitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (57, NULL, '纬度', 0, 1, '2024-02-26 16:20:41', '2024-02-26 16:20:47', 32, 'DATA.latitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (58, NULL, '纬度', 0, 0, '2024-02-26 16:21:01', '2024-02-26 16:21:01', 33, 'DATA.latitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (59, NULL, '接收时间', 0, 0, '2024-02-26 16:21:29', '2024-02-26 16:22:49', 33, 'DATA.receiveTimes', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (60, NULL, '航速', 0, 0, '2024-02-26 16:21:57', '2024-02-26 16:21:57', 33, 'DATA.sogs', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (61, NULL, '航向', 0, 0, '2024-02-26 16:22:14', '2024-02-26 16:22:14', 33, 'DATA.cogs', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (62, NULL, '定位时间', 0, 0, '2024-02-26 16:24:08', '2024-02-26 16:24:08', 33, 'DATA.posTimes', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (63, NULL, 'gisId', 0, 0, '2024-02-26 17:47:41', '2024-02-26 17:48:10', 34, 'DATA.gisId', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (64, NULL, '经度', 0, 0, '2024-02-26 17:47:52', '2024-02-26 17:48:19', 34, 'DATA.longitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (65, NULL, '纬度', 0, 0, '2024-02-26 17:48:39', '2024-02-26 17:48:39', 34, 'DATA.latitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (66, NULL, '接收时间', 0, 0, '2024-02-26 17:49:10', '2024-02-26 17:49:10', 34, 'DATA.receiveTimes', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (67, NULL, '经度', 0, 0, '2024-02-27 15:35:08', '2024-02-27 15:35:08', 31, 'DATA.longitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (68, NULL, '纬度', 0, 0, '2024-02-27 15:36:59', '2024-02-27 15:36:59', 31, 'DATA.latitude', '[]', NULL);
INSERT INTO `ship_test_hover` VALUES (69, NULL, 'AIS基站距离', 0, 0, '2024-02-29 11:29:16', '2024-02-29 11:29:16', 31, 'DISTANCE(DATA.location, STATIC(1))', '[]', NULL);

-- ----------------------------
-- Table structure for ship_test_params
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_params`;
CREATE TABLE `ship_test_params`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `source_id` int(11) NULL DEFAULT NULL COMMENT '数据源ID',
  `default_cql` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '默认cql',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `source_id`(`source_id`) USING BTREE,
  CONSTRAINT `ship_test_params_ibfk_1` FOREIGN KEY (`source_id`) REFERENCES `ship_test_source` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 33 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源-参数配置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ship_test_params
-- ----------------------------

-- ----------------------------
-- Table structure for ship_test_params_dict
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_params_dict`;
CREATE TABLE `ship_test_params_dict`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `params_id` int(11) NULL DEFAULT NULL COMMENT '参数ID',
  `cql` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT 'cql过滤条件',
  `active` int(255) NULL DEFAULT 0 COMMENT '默认激活(0-激活，1-未激活)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `source_id`(`params_id`) USING BTREE,
  CONSTRAINT `ship_test_params_dict_ibfk_1` FOREIGN KEY (`params_id`) REFERENCES `ship_test_params` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 38 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源-参数配置_字典值' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ship_test_params_dict
-- ----------------------------

-- ----------------------------
-- Table structure for ship_test_source
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_source`;
CREATE TABLE `ship_test_source`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `tile_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '瓦片地图地址',
  `tile_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '瓦片地图图层名称',
  `ws_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'websocker地址',
  `ws_data_flag` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'websocker返回数据标识',
  `history_ws_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹websocket地址',
  `history_ws_data_flag` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹websocket返回数据标识',
  `history_ws_other_params` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹websocket额外参数',
  `color` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '默认颜色',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 36 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ship_test_source
-- ----------------------------
INSERT INTO `ship_test_source` VALUES (31, NULL, '亿海蓝', 0, 0, '2024-02-07 15:13:22', '2024-02-07 15:13:22', 'http://218.77.183.103:7009/geoserver/global-ais/wms', 'global-ais:ais-data-yh1', 'ws://218.77.183.103:7002/webSocket', '.data', NULL, NULL, NULL, '#2485EE');
INSERT INTO `ship_test_source` VALUES (32, NULL, '杰特', 0, 0, '2024-02-07 15:21:03', '2024-02-07 15:37:30', 'http://218.77.183.103:7009/geoserver/global-ais/wms', 'global-ais:ais-data-jt', 'ws://218.77.183.103:7001/webSocket', '.data', NULL, NULL, NULL, '#DEB210');
INSERT INTO `ship_test_source` VALUES (33, NULL, '立同', 0, 0, '2024-02-07 15:22:10', '2024-02-07 15:37:28', 'http://218.77.183.103:7009/geoserver/global-ais/wms', 'global-ais:ais-data-lt', 'ws://218.77.183.103:7003/webSocket', '.data', NULL, NULL, NULL, '#16DA49');
INSERT INTO `ship_test_source` VALUES (34, NULL, '复瞰', 0, 0, '2024-02-26 17:31:58', '2024-02-26 17:41:40', 'http://218.77.183.103:7009/geoserver/global-ais/wms', 'ais-data-fk', 'ws://218.77.183.103:7004/webSocket', '.data', NULL, NULL, NULL, '#E95216');

-- ----------------------------
-- Table structure for ship_test_static
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_static`;
CREATE TABLE `ship_test_static`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '显示名称',
  `sort` int(255) NULL DEFAULT NULL COMMENT '排序',
  `remark` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '备注',
  `wkt` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '点位WKT坐标',
  `color` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '点位颜色',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试静态物标绘' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ship_test_static
-- ----------------------------
INSERT INTO `ship_test_static` VALUES (1, 'AIS基站', 0, '发', 'POINT(109.18017243860741 19.66135000087246)', 'rgba(189, 232, 16, 1)', 0, '2024-02-29 11:06:52', '2024-02-29 11:12:32');

-- ----------------------------
-- Table structure for ship_test_track
-- ----------------------------
DROP TABLE IF EXISTS `ship_test_track`;
CREATE TABLE `ship_test_track`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT CURRENT_TIMESTAMP(0) ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更新时间',
  `source_id` int(11) NULL DEFAULT NULL COMMENT '数据源ID',
  `track_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹唯一标识',
  `track_point_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点唯一标识',
  `track_wkt_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点wkt坐标标识',
  `track_speed_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点速度标识',
  `track_course_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点航向标识',
  `track_head_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点船艏向标识',
  `track_time_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '轨迹点时间标识',
  `history_track_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹唯一标识',
  `history_track_point_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点唯一标识',
  `history_track_wkt_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点wkt坐标标识',
  `history_track_speed_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点速度标识',
  `history_track_course_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点航向标识',
  `history_track_head_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点船艏向标识',
  `history_track_time_key` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '历史轨迹点时间标识',
  `del_flag` int(255) NULL DEFAULT 0 COMMENT '删除状态(0-正常，1-已删除)',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `source_id`(`source_id`) USING BTREE,
  CONSTRAINT `ship_test_track_ibfk_1` FOREIGN KEY (`source_id`) REFERENCES `ship_test_source` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 40 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '船舶轨迹测试数据源-轨迹标识配置' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of ship_test_track
-- ----------------------------
INSERT INTO `ship_test_track` VALUES (36, '2024-02-07 15:27:06', '2024-02-26 17:59:45', 31, 'DATA.gisId', 'DATA.gisId+DATA.posTime', 'DATA.location', 'DATA.sogs', 'DATA.cogs', 'DATA.trueHeading', 'DATA.posTimes', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `ship_test_track` VALUES (37, '2024-02-07 15:27:06', '2024-02-26 17:59:36', 32, 'DATA.gisId', 'DATA.gisId+DATA.posTime', 'DATA.location', 'DATA.sogs', 'DATA.cogs', 'DATA.trueHeading', 'DATA.posTimes', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `ship_test_track` VALUES (38, '2024-02-07 15:27:06', '2024-02-26 17:59:27', 33, 'DATA.gisId', 'DATA.gisId+DATA.posTime', 'DATA.location', 'DATA.sogs', 'DATA.cogs', 'DATA.trueHeading', 'DATA.posTimes', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `ship_test_track` VALUES (39, '2024-02-26 17:45:37', '2024-02-26 17:46:50', 34, 'DATA.gisId', 'DATA.gisId+DATA.posTime', 'DATA.location', 'DATA.sogs', 'DATA.cogs', 'DATA.trueHeading', 'DATA.posTimes', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 0);

SET FOREIGN_KEY_CHECKS = 1;
