const express = require("express")
const SourceControl = require("../control/source-control")
const ParamsControl = require("../control/params-control")
const ParamsDictControl = require("../control/params-dict-control")
const TrackControl = require("../control/track-control")
const HoverControl = require("../control/hover-control")
const ShipFilterControl = require("../control/ship-filter-control")
const StaticControl = require("../control/static-control")

const shipTestRouter = express.Router()
// 数据源
shipTestRouter.post('/source/list', SourceControl.list)
shipTestRouter.post('/source/page', SourceControl.page)
shipTestRouter.get('/source/info/:id', SourceControl.info)
shipTestRouter.post('/source/add', SourceControl.add)
shipTestRouter.put('/source/edit', SourceControl.edit)
shipTestRouter.delete('/source/del/:ids', SourceControl.del)
// 参数配置
shipTestRouter.post('/params/list', ParamsControl.list)
shipTestRouter.post('/params/page', ParamsControl.page)
shipTestRouter.get('/params/info/:id', ParamsControl.info)
shipTestRouter.post('/params/add', ParamsControl.add)
shipTestRouter.put('/params/edit', ParamsControl.edit)
shipTestRouter.delete('/params/del/:ids', ParamsControl.del)
// 参数配置-字典
shipTestRouter.post('/params/dict/list', ParamsDictControl.list)
shipTestRouter.post('/params/dict/page', ParamsDictControl.page)
shipTestRouter.get('/params/dict/info/:id', ParamsDictControl.info)
shipTestRouter.post('/params/dict/add', ParamsDictControl.add)
shipTestRouter.put('/params/dict/edit', ParamsDictControl.edit)
shipTestRouter.delete('/params/dict/del/:ids', ParamsDictControl.del)
shipTestRouter.get('/params/dict/enabled/:ids', ParamsDictControl.enabled)
shipTestRouter.get('/params/dict/disabled/:ids', ParamsDictControl.disabled)
// 轨迹配置
shipTestRouter.post('/track/list', TrackControl.list)
shipTestRouter.post('/track/page', TrackControl.page)
shipTestRouter.get('/track/info/:id', TrackControl.info)
shipTestRouter.post('/track/add', TrackControl.add)
shipTestRouter.put('/track/edit', TrackControl.edit)
shipTestRouter.delete('/track/del/:ids', TrackControl.del)
shipTestRouter.get('/track/infoBySourceId/:sourceId', TrackControl.infoBySourceId)
// 轨迹详情框
shipTestRouter.post('/hover/list', HoverControl.list)
shipTestRouter.post('/hover/page', HoverControl.page)
shipTestRouter.get('/hover/info/:id', HoverControl.info)
shipTestRouter.post('/hover/add', HoverControl.add)
shipTestRouter.put('/hover/edit', HoverControl.edit)
shipTestRouter.delete('/hover/del/:ids', HoverControl.del)
// 船筛
shipTestRouter.get('/ship-filter/get-config', ShipFilterControl.getConfig)
// 静态物
shipTestRouter.post('/static/list', StaticControl.list)
shipTestRouter.post('/static/page', StaticControl.page)
shipTestRouter.get('/static/info/:id', StaticControl.info)
shipTestRouter.post('/static/add', StaticControl.add)
shipTestRouter.put('/static/edit', StaticControl.edit)
shipTestRouter.delete('/static/del/:ids', StaticControl.del)
module.exports = shipTestRouter